diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 95df7875..795bbfcf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -1,8 +1,8 @@
 define('pgadmin.node.mview', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.alertifyjs', 'pgadmin.browser', 'codemirror',
-  'pgadmin.browser.server.privilege'
-], function(gettext, url_for, $, _, S, pgAdmin, alertify, pgBrowser, CodeMirror) {
+  'sources/pgadmin', 'pgadmin.alertifyjs', 'pgadmin.browser',
+  'pgadmin.backform', 'pgadmin.browser.server.privilege',
+], function(gettext, url_for, $, _, pgAdmin, Alertify, pgBrowser, Backform) {
 
   /**
     Create and add a view collection into nodes
@@ -12,12 +12,12 @@ define('pgadmin.node.mview', [
       display under under properties.
    */
   if (!pgBrowser.Nodes['coll-mview']) {
-    var mviews= pgBrowser.Nodes['coll-mview'] =
+    pgBrowser.Nodes['coll-mview'] =
       pgBrowser.Collection.extend({
         node: 'mview',
         label: gettext('Materialized Views'),
         type: 'coll-mview',
-        columns: ['name', 'owner']
+        columns: ['name', 'owner'],
       });
   }
 
@@ -68,7 +68,7 @@ define('pgadmin.node.mview', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, icon: 'wcTabIcon icon-mview',
           data: {action: 'create', check: true}, enable: 'canCreate',
-          label: gettext('Materialized View...')
+          label: gettext('Materialized View...'),
         },{
           name: 'create_mview', node: 'mview', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
@@ -80,32 +80,32 @@ define('pgadmin.node.mview', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 18, icon: 'wcTabIcon icon-mview',
           data: {action: 'create', check: false}, enable: 'canCreate',
-          label: gettext('Materialized View...')
+          label: gettext('Materialized View...'),
         },{
           name: 'refresh_mview_data', node: 'mview', module: this,
           priority: 1, callback: 'refresh_mview', category: 'refresh_mview',
           applies: ['object', 'context'], label: gettext('With data'),
-          data: {concurrent: false, with_data: true}, icon: 'fa fa-recycle'
+          data: {concurrent: false, with_data: true}, icon: 'fa fa-recycle',
         },{
           name: 'refresh_mview_nodata', node: 'mview',
           callback: 'refresh_mview', priority: 2, module: this,
           category: 'refresh_mview', applies: ['object', 'context'],
           label: gettext('With no data'), data: {
-            concurrent: false, with_data: false
-          }, icon: 'fa fa-refresh'
+            concurrent: false, with_data: false,
+          }, icon: 'fa fa-refresh',
         },{
           name: 'refresh_mview_concurrent', node: 'mview', module: this,
           category: 'refresh_mview', enable: 'is_version_supported',
           data: {concurrent: true, with_data: true}, priority: 3,
           applies: ['object', 'context'], callback: 'refresh_mview',
-          label: gettext('With data (concurrently)'), icon: 'fa fa-recycle'
+          label: gettext('With data (concurrently)'), icon: 'fa fa-recycle',
         },{
           name: 'refresh_mview_concurrent_nodata', node: 'mview', module: this,
           category: 'refresh_mview', enable: 'is_version_supported',
           data: {concurrent: true, with_data: false}, priority: 4,
           applies: ['object', 'context'], callback: 'refresh_mview',
           label: gettext('With no data (concurrently)'),
-          icon: 'fa fa-refresh'
+          icon: 'fa fa-refresh',
         }]);
       },
 
@@ -117,10 +117,9 @@ define('pgadmin.node.mview', [
         initialize: function(attrs, args) {
           if (_.size(attrs) === 0) {
             // Set Selected Schema and Current User
-            var schemaLabel = args.node_info.schema._label || 'public',
-                userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
+            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
             this.set({
-              'schema': 'public', 'owner': userInfo.name
+              'schema': 'public', 'owner': userInfo.name,
             }, {silent: true});
           }
           pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
@@ -128,36 +127,36 @@ define('pgadmin.node.mview', [
         defaults: {
           spcname: undefined,
           toast_autovacuum_enabled: false,
-          autovacuum_enabled: false
+          autovacuum_enabled: false,
         },
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: 'inSchema'
+          type: 'text', disabled: 'inSchema',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', disabled: true, mode: ['properties']
+          type: 'text', disabled: true, mode: ['properties'],
         },{
           id: 'owner', label: gettext('Owner'), cell: 'string',
           control: 'node-list-by-name', select2: { allowClear: false },
-          node: 'role', disabled: 'inSchema'
+          node: 'role', disabled: 'inSchema',
         },{
           id: 'schema', label: gettext('Schema'), cell: 'string', first_empty: false,
           control: 'node-list-by-name', type: 'text', cache_level: 'database',
           node: 'schema', mode: ['create', 'edit'], cache_node: 'database',
-          disabled: 'inSchema', select2: { allowClear: false }
+          disabled: 'inSchema', select2: { allowClear: false },
         },{
           id: 'system_view', label: gettext('System view?'), cell: 'string',
           type: 'switch', disabled: true, mode: ['properties'],
         }, pgBrowser.SecurityGroupSchema, {
           id: 'acl', label: gettext('Privileges'),
-          mode: ['properties'], type: 'text', group: gettext('Security')
+          mode: ['properties'], type: 'text', group: gettext('Security'),
         },{
           id: 'comment', label: gettext('Comment'), cell: 'string',
-          type: 'multiline'
+          type: 'multiline',
         },{
           id: 'definition', label:'', cell: 'string',
           type: 'text', mode: ['create', 'edit'], group: gettext('Definition'),
-          control: Backform.SqlFieldControl, extraClasses:['sql_field_width_full']
+          control: Backform.SqlFieldControl, extraClasses:['sql_field_width_full'],
         },{
           id: 'with_data', label: gettext('With Data'),
           group: gettext('Storage'), mode: ['edit', 'create'],
@@ -167,33 +166,33 @@ define('pgadmin.node.mview', [
           type: 'text', group: gettext('Storage'), first_empty: false,
           control: 'node-list-by-name', node: 'tablespace', select2: { allowClear: false },
           filter: function(m) {
-            if (m.label == "pg_global") return false;
+            if (m.label == 'pg_global') return false;
             else return true;
-          }
+          },
         },{
           id: 'fillfactor', label: gettext('Fill Factor'),
           group: gettext('Storage'), mode: ['edit', 'create'],
-          type: 'int'
+          type: 'int',
         },{
           type: 'nested', control: 'tab', id: 'materialization',
           label: gettext('Parameter'), mode: ['edit', 'create'],
           group: gettext('Parameter'),
-          schema: Backform.VacuumSettingsSchema
+          schema: Backform.VacuumSettingsSchema,
         },{
           // Add Privilege Control
           id: 'datacl', label: gettext('Privileges'), type: 'collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-            privileges: ['a', 'r', 'w', 'd', 'D', 'x', 't']
+            privileges: ['a', 'r', 'w', 'd', 'D', 'x', 't'],
           }), uniqueCol : ['grantee'], editable: false,
-          group: "security", canAdd: true, canDelete: true,
-          mode: ['edit', 'create'], control: 'unique-col-collection'
+          group: 'security', canAdd: true, canDelete: true,
+          mode: ['edit', 'create'], control: 'unique-col-collection',
         },{
         // Add Security Labels Control
           id: 'seclabels', label: gettext('Security Labels'),
           model: pgBrowser.SecLabelModel, editable: false, type: 'collection',
-          canEdit: false, group: "security", canDelete: true,
+          canEdit: false, group: 'security', canDelete: true,
           mode: ['edit', 'create'], canAdd: true,
-          control: 'unique-col-collection', uniqueCol : ['provider']
+          control: 'unique-col-collection', uniqueCol : ['provider'],
         }],
         validate: function(keys) {
 
@@ -204,7 +203,7 @@ define('pgadmin.node.mview', [
             field_def = this.get('definition');
           if (_.indexOf(keys, 'autovacuum_enabled') != -1 ||
               _.indexOf(keys, 'toast_autovacuum_enabled') != -1 )
-              return null;
+            return null;
 
           if (_.isUndefined(field_name) || _.isNull(field_name) ||
             String(field_name).replace(/^\s+|\s+$/g, '') == '') {
@@ -233,7 +232,7 @@ define('pgadmin.node.mview', [
             return true;
           }
           return false;
-        }
+        },
 
       }),
 
@@ -275,27 +274,27 @@ define('pgadmin.node.mview', [
         return true;
       },
       refresh_mview: function(args) {
-          var input = args || {},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+        var input = args || {},
+          obj = this,
+          t = pgBrowser.tree,
+          i = input.item || t.selected(),
+          d = i && i.length == 1 ? t.itemData(i) : undefined;
 
-          if (!d)
-            return false;
+        if (!d)
+          return false;
 
         // Make ajax call to refresh mview data
         $.ajax({
           url: obj.generate_url(i, 'refresh_data' , d, true),
           type: 'PUT',
           data: {'concurrent': args.concurrent, 'with_data': args.with_data},
-          dataType: "json",
+          dataType: 'json',
           success: function(res) {
             if (res.success == 1) {
-              alertify.success(gettext('View refreshed successfully'));
+              Alertify.success(gettext('View refreshed successfully'));
             }
             else {
-              alertify.alert(
+              Alertify.alert(
                 gettext('Error refreshing view'),
                   res.data.result
               );
@@ -303,22 +302,22 @@ define('pgadmin.node.mview', [
           },
           error: function(e) {
             var errmsg = $.parseJSON(e.responseText);
-            alertify.alert(gettext('Error refreshing view'), errmsg.errormsg);
-          }
+            Alertify.alert(gettext('Error refreshing view'), errmsg.errormsg);
+          },
         });
 
       },
-      is_version_supported: function(data, item, args) {
+      is_version_supported: function(data, item) {
         var t = pgAdmin.Browser.tree,
-            i = item || t.selected(),
-            d = data || (i && i.length == 1 ? t.itemData(i): undefined),
-            node = this || (d && pgAdmin.Browser.Nodes[d._type]),
-            info = node.getTreeNodeHierarchy.apply(node, [i]),
-            version = info.server.version;
+          i = item || t.selected(),
+          d = data || (i && i.length == 1 ? t.itemData(i): undefined),
+          node = this || (d && pgAdmin.Browser.Nodes[d._type]),
+          info = node.getTreeNodeHierarchy.apply(node, [i]),
+          version = info.server.version;
 
         // disable refresh concurrently if server version is 9.3
         return (version >= 90400);
-      }
+      },
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
index 245aea92..5755a509 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
@@ -1,9 +1,9 @@
 define('pgadmin.node.view', [
   'sources/gettext',
-  'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
-  'pgadmin.browser', 'codemirror', 'pgadmin.browser.server.privilege',
-  'pgadmin.node.rule'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, CodeMirror) {
+  'sources/url_for', 'jquery', 'underscore', 'sources/pgadmin',
+  'pgadmin.browser', 'pgadmin.backform', 'pgadmin.browser.server.privilege',
+  'pgadmin.node.rule',
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
 
   /**
     Create and add a view collection into nodes
@@ -13,12 +13,12 @@ define('pgadmin.node.view', [
       display under under properties.
    */
   if (!pgBrowser.Nodes['coll-view']) {
-    var views= pgBrowser.Nodes['coll-view'] =
+    pgBrowser.Nodes['coll-view'] =
       pgBrowser.Collection.extend({
         node: 'view',
         label: gettext('Views'),
         type: 'coll-view',
-        columns: ["name", "owner"]
+        columns: ['name', 'owner'],
       });
   }
 
@@ -55,78 +55,78 @@ define('pgadmin.node.view', [
 
         this.initialized = true;
 
-        /**
+          /**
           Add "create view" menu option into context and object menu
           for the following nodes:
           coll-view, view and schema.
           @property {data} - Allow create view option on schema node or
           system view nodes.
-         */
+          */
         pgBrowser.add_menus([{
           name: 'create_view_on_coll', node: 'coll-view', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, label: gettext('View...'),
           icon: 'wcTabIcon icon-view', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_view', node: 'view', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, label: gettext('View...'),
           icon: 'wcTabIcon icon-view', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_view', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 17, label: gettext('View...'),
           icon: 'wcTabIcon icon-view', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
       },
 
       /**
         Define model for the view node and specify the
         properties of the model in schema.
-       */
+        */
       model: pgBrowser.Node.Model.extend({
         initialize: function(attrs, args) {
           if (_.size(attrs) === 0) {
             // Set Selected Schema and, Current User
             var schemaLabel = args.node_info.schema._label || 'public',
-                userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
+              userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
             this.set({
-              'schema': schemaLabel, 'owner': userInfo.name
+              'schema': schemaLabel, 'owner': userInfo.name,
             }, {silent: true});
           }
           pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
         },
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: 'notInSchema'
+          type: 'text', disabled: 'notInSchema',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', disabled: true, mode: ['properties']
+          type: 'text', disabled: true, mode: ['properties'],
         },{
           id: 'owner', label: gettext('Owner'), cell: 'string', control: 'node-list-by-name',
-          node: 'role', disabled: 'notInSchema', select2: { allowClear: false }
+          node: 'role', disabled: 'notInSchema', select2: { allowClear: false },
         },{
           id: 'schema', label: gettext('Schema'), cell: 'string', first_empty: false,
           control: 'node-list-by-name', type: 'text', cache_level: 'database',
           node: 'schema', disabled: 'notInSchema', mode: ['create', 'edit'],
-          select2: { allowClear: false }, cache_node: 'database'
+          select2: { allowClear: false }, cache_node: 'database',
         },{
           id: 'system_view', label: gettext('System view?'), cell: 'string',
-          type: 'switch', disabled: true, mode: ['properties']
+          type: 'switch', disabled: true, mode: ['properties'],
         },{
           id: 'acl', label: gettext('Privileges'),
-          mode: ['properties'], type: 'text', group: gettext('Security')
+          mode: ['properties'], type: 'text', group: gettext('Security'),
         },{
           id: 'comment', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', disabled: 'notInSchema'
+          type: 'multiline', disabled: 'notInSchema',
         },{
           id: 'security_barrier', label: gettext('Security barrier'),
           type: 'switch', min_version: '90200', group: gettext('Definition'),
-          disabled: 'notInSchema'
+          disabled: 'notInSchema',
         },{
           id: 'check_option', label: gettext('Check options'),
           control: 'select2', group: gettext('Definition'), type: 'text',
@@ -136,32 +136,32 @@ define('pgadmin.node.view', [
             allowClear: false,
           }, disabled: 'notInSchema',
           options:[{
-            label: gettext("No"), value: "no"
+            label: gettext('No'), value: 'no',
           },{
-            label: gettext("Local"), value: "local"
+            label: gettext('Local'), value: 'local',
           },{
-            label: gettext("Cascaded"), value: "cascaded"
-          }]
+            label: gettext('Cascaded'), value: 'cascaded',
+          }],
         },{
           id: 'definition', label: gettext('Definition'), cell: 'string',
           type: 'text', mode: ['create', 'edit'], group: gettext('Definition'),
           control: Backform.SqlFieldControl,
-          disabled: 'notInSchema'
+          disabled: 'notInSchema',
         }, pgBrowser.SecurityGroupSchema, {
           // Add Privilege Control
           id: 'datacl', label: gettext('Privileges'), type: 'collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-            privileges: ['a', 'r', 'w', 'd', 'D', 'x', 't']
+            privileges: ['a', 'r', 'w', 'd', 'D', 'x', 't'],
           }), uniqueCol : ['grantee'], editable: false, group: 'security',
           mode: ['edit', 'create'], canAdd: true, canDelete: true,
-          control: 'unique-col-collection', disabled: 'notInSchema'
+          control: 'unique-col-collection', disabled: 'notInSchema',
         },{
           // Add Security Labels Control
           id: 'seclabels', label: gettext('Security labels'),
           model: pgBrowser.SecLabelModel, editable: false, type: 'collection',
           canEdit: false, group: 'security', canDelete: true,
           mode: ['edit', 'create'], canAdd: true, disabled: 'notInSchema',
-          control: 'unique-col-collection', uniqueCol : ['provider']
+          control: 'unique-col-collection', uniqueCol : ['provider'],
         }],
         validate: function() {
           // Triggers specific error messages for fields
@@ -195,13 +195,13 @@ define('pgadmin.node.view', [
             return true;
           }
           return false;
-        }
+        },
       }),
 
       /**
         Show or hide create view menu option on parent node
         and hide for system view in catalogs.
-       */
+        */
       canCreate: function(itemData, item, data) {
 
         // If check is false then, we will allow create menu
@@ -235,8 +235,8 @@ define('pgadmin.node.view', [
         // by default we do not want to allow create menu
         return true;
 
-      }
-  });
+      },
+    });
   }
 
   return pgBrowser.Nodes['view'];
